UberspectImpl.VelGetterImpl (Velocity 1.4 API)
Keywords: org.apache.velocity.util.introspection.UberspectImpl.VelGetterImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.util.introspection
Class UberspectImpl.VelGetterImpl

    java.lang.Object
      org.apache.velocity.util.introspection.UberspectImpl.VelGetterImpl

All Implemented Interfaces:
  VelPropertyGet

Enclosing class:
  UberspectImpl

public class UberspectImpl.VelGetterImpl
extends java.lang.Object
implements VelPropertyGet

Field Summary
`(package private) AbstractExecutor` | `ae`

Constructor Summary
`private` | `UberspectImpl.VelGetterImpl()`
`` | `UberspectImpl.VelGetterImpl(AbstractExecutor exec)`

Method Summary
`java.lang.String` | `getMethodName()` returns the method name used to return this 'property'
`java.lang.Object` | `invoke(java.lang.Object o)` invocation method - called when the 'get action' should be preformed and a value returned
`boolean` | `isCacheable()` specifies if this VelPropertyGet is cacheable and able to be reused for this class of object it was returned for

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ae

    AbstractExecutor ae

Constructor Detail

### UberspectImpl.VelGetterImpl

    public UberspectImpl.VelGetterImpl(AbstractExecutor exec)

### UberspectImpl.VelGetterImpl

    private UberspectImpl.VelGetterImpl()

Method Detail

### invoke

    public java.lang.Object invoke(java.lang.Object o)
                            throws java.lang.Exception

  Description copied from interface: `VelPropertyGet`
  invocation method - called when the 'get action' should be preformed and a value returned

  Specified by:
    `invoke` in interface `VelPropertyGet`
  Throws:
    `java.lang.Exception`

### isCacheable

    public boolean isCacheable()

  Description copied from interface: `VelPropertyGet`
  specifies if this VelPropertyGet is cacheable and able to be reused for this class of object it was returned for

  Specified by:
    `isCacheable` in interface `VelPropertyGet`
  Returns:
    true if can be reused for this class, false if not

### getMethodName

    public java.lang.String getMethodName()

  Description copied from interface: `VelPropertyGet`
  returns the method name used to return this 'property'

  Specified by:
    `getMethodName` in interface `VelPropertyGet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.